commit:     6d9eced4924c7fbddd334eabb64429183b45072e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  7 14:26:15 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun  7 14:26:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d9eced4

dev-libs/isa-l: add 2.31.1

Upstream added a workaround for yasm in this release, so simplify
the deps.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/isa-l/Manifest            |  1 +
 dev-libs/isa-l/isa-l-2.31.1.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-libs/isa-l/Manifest b/dev-libs/isa-l/Manifest
index 2546c9f2ca84..a881a6519f20 100644
--- a/dev-libs/isa-l/Manifest
+++ b/dev-libs/isa-l/Manifest
@@ -1 +1,2 @@
 DIST isa-l-2.31.0.tar.gz 705375 BLAKE2B 
80e0c7f7351e4765393fc5734452ab00d84a84fd017a529a0b96d594c045e7e1c23957d292a56fc449e611dc29f3d4cc2a66c75055d1a7fbb31ca1d6f5c4650a
 SHA512 
bbda3cf84e12352728c16d043ae71160569bff9540928eebb986e22d570176162a7f74fba9423d2349d014df061c09fc084343fbc51077415cfae9f692906dd8
+DIST isa-l-2.31.1.tar.gz 741732 BLAKE2B 
f23d3f4f23665c719077e5bdc85434343ad41a7c1435524523e3e997db535f7158a664721760fff6ffb38a50fce8b300422e1e1e93364af63a487cd16d16534a
 SHA512 
65199d054af1edc26d477883f7878f25fd4db65622aa98247069f1296c5f07b75da24f0361a6c3889ddb3168d940b508cd2f6340548a62ff3157977179fd002d

diff --git a/dev-libs/isa-l/isa-l-2.31.1.ebuild 
b/dev-libs/isa-l/isa-l-2.31.1.ebuild
new file mode 100644
index 000000000000..5a98a6ce620c
--- /dev/null
+++ b/dev-libs/isa-l/isa-l-2.31.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Intelligent Storage Acceleration Library"
+HOMEPAGE="https://github.com/intel/isa-l";
+SRC_URI="https://github.com/intel/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+       amd64? ( || (
+               >=dev-lang/nasm-2.11.01
+               >=dev-lang/yasm-1.2.0
+       ) )
+       x86? ( || (
+               >=dev-lang/nasm-2.11.01
+               >=dev-lang/yasm-1.2.0
+       ) )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.31.0_makefile-no-D.patch
+       "${FILESDIR}"/${PN}-2.31.0_makefile-x86.patch
+       "${FILESDIR}"/${PN}-2.31.0_no-fortify-source.patch
+       "${FILESDIR}"/${PN}-2.31.0_user-ldflags.patch
+)
+
+src_prepare() {
+       default
+
+       # isa-l does not support arbitrary assemblers on amd64 and x86,
+       # it must be either nasm or yasm.
+       if use amd64 || use x86; then
+               unset AS
+       fi
+
+       eautoreconf
+}
+
+src_compile() {
+       unset ARCH
+       default
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to